 /**
 * CVS-informations
 * 
 * $Author: dominik $
 * $Date: 2006/06/13 10:05:10 $
 * $Revision: 1.2 $
 * 
 */
package gui;

import java.awt.Container;
import java.awt.Font;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.Box;
import javax.swing.BoxLayout;
import javax.swing.JButton;
import javax.swing.JDialog;
import javax.swing.JSpinner;
import javax.swing.JTextArea;
import javax.swing.SpinnerNumberModel;
import javax.swing.WindowConstants;

/**
 * @author Administrator
 *
 */
public class SaveQuestion extends JDialog implements ActionListener{
	JButton okeyButton, cancelButton, noButton;
	int returnValue; 
	/**
	 * Creates a JDialog for correct saving (in order to avoid overwriting of files).
	 * @param main Main 
	 * @param question String to print
	 * @param title	title of JDialog
	 * @param f file to save
	 */
	public SaveQuestion(Main main, String question, String title, String f){
		f.length();
			this.setTitle(title);
			this.setModal(true);
			JTextArea order = new JTextArea("The file exists.");
			JTextArea order2 = new JTextArea("\nDo you want to overwrite?");
			
			order.setBackground(null);
			order.setFocusable(false);
			order.setFont(new Font("Dialog", Font.BOLD ,12));
			order2.setBackground(null);
			order2.setFocusable(false);
			order2.setFont(new Font("Dialog", Font.BOLD ,12));		
			
			okeyButton = new JButton("OK");
			cancelButton = new JButton("Cancel");
			okeyButton.addActionListener(this);
			cancelButton.addActionListener(this);
			noButton = new JButton("No");
			noButton.addActionListener(this);
			
			//adding the buttons to the bottonbox
			Box buttonbox = new Box(BoxLayout.X_AXIS);
			buttonbox.add(Box.createVerticalStrut(30));
			buttonbox.add(okeyButton);
			buttonbox.add(Box.createVerticalStrut(10));
			buttonbox.add(noButton);
			buttonbox.add(Box.createVerticalStrut(10));
			buttonbox.add(cancelButton);
			buttonbox.add(Box.createVerticalStrut(30));
			
			
			Container cp = getContentPane();

			Box orderbox = new Box(BoxLayout.X_AXIS);
			orderbox.add(Box.createHorizontalStrut(20));
			orderbox.add(order);
			orderbox.add(Box.createHorizontalStrut(5));	

			Box orderbox2 = new Box(BoxLayout.X_AXIS);
			orderbox2.add(Box.createHorizontalStrut(20));
			orderbox2.add(order2);
			orderbox2.add(Box.createHorizontalStrut(5));	
			
			Box proteinbox = new Box(BoxLayout.Y_AXIS);
			proteinbox.add(Box.createVerticalStrut(5));
			proteinbox.add(orderbox);
			proteinbox.add(Box.createVerticalStrut(3));
			proteinbox.add(orderbox2);
			proteinbox.add(Box.createVerticalStrut(10));
			proteinbox.add(buttonbox);
			proteinbox.add(Box.createVerticalStrut(20));	
			
			cp.add(proteinbox);
			this.setSize(240,140);	   
			this.setFocusable(true);
			this.setLocationRelativeTo(main);
		    this.setDefaultCloseOperation(
		                WindowConstants.DISPOSE_ON_CLOSE);
		    this.setVisible(true);  
		    this.setResizable(false);
		}
	/**
	 * Performs the action events for the JDialog (mainly the ok, no and cancel button).
	 * 	 
	 * @param e ActionEvent
	 */
	public void actionPerformed(ActionEvent e) {
		if (e.getSource() == (okeyButton)) {
			returnValue = 1;
			this.dispose();
			return;
		}
		if(e.getSource() == (cancelButton)){
			returnValue = 0;
			this.dispose();
			return;
		}
		if(e.getSource() == (noButton)){
			returnValue = 2;
			this.dispose();
			return;
		}
		
	}
	/**
	 * @return Returns the returnValue.
	 */
	public int getReturnValue() {
		return returnValue;
	}
	/**
	 * @param returnValue The returnValue to set.
	 */
	private void setReturnValue(int returnValue) {
		this.returnValue = returnValue;
	}
}
