package gui.dragndrop;

import java.awt.event.ActionEvent;
import java.awt.event.MouseEvent;

import javax.swing.JTree;
import javax.swing.event.TreeModelEvent;
import javax.swing.event.TreeModelListener;
import javax.swing.tree.DefaultMutableTreeNode;
import javax.swing.tree.DefaultTreeModel;
import javax.swing.tree.MutableTreeNode;
import javax.swing.tree.TreePath;

public class MyTreeModelListener implements TreeModelListener {
	public JTree tree;
	public DefaultTreeModel model;
	/**
	 * Expands the TreeModelListener.
	 * @param treeGiven Membrane Model Tree
	 */
	public MyTreeModelListener(JTree treeGiven){
		tree = treeGiven;
		model = (DefaultTreeModel) tree.getModel();
	}
	/**
	 * Performs when nodename has been changes
	 * @param e TreeModelEvent
	 */
    public void treeNodesChanged(TreeModelEvent e) {
        DefaultMutableTreeNode node;
        node = (DefaultMutableTreeNode)
                 (e.getTreePath().getLastPathComponent());

        try {
            int index = e.getChildIndices()[0];
            node = (DefaultMutableTreeNode)
                   (node.getChildAt(index));
        } catch (NullPointerException exc) {}


    }
    
    public void treeNodesInserted(TreeModelEvent e) {
    }
    public void treeNodesRemoved(TreeModelEvent e) {
    }
    public void treeStructureChanged(TreeModelEvent e) {
    }
}


