package jmolOutsideApplicationTest;
import java.awt.Dimension;
import java.awt.Graphics;
import java.awt.Rectangle;

import javax.swing.JFrame;
import javax.swing.JPanel;

import org.jmol.adapter.smarter.SmarterJmolAdapter;
import org.jmol.api.JmolAdapter;
import org.jmol.api.JmolStatusListener;
import org.jmol.api.JmolViewer;
import org.jmol.popup.JmolPopup;

/**
 * This is only a class for jmol-testing-purposes.
 */
//import org.jmol.adapter.cdk.CdkJmolAdapter;


public class OuterIntegration extends JPanel implements JmolStatusListener {
  
  final Dimension currentSize = new Dimension();
  final Rectangle  rectClip   = new Rectangle();
  static String    EMPTYCMD = "zap; set echo top center; font echo 22; color echo white;echo \"no structure found\";";
  JmolViewer  viewer;
  JmolAdapter adapter;
  JmolPopup   jmolpopup ;

  /*
   * Constructor
   */
  public OuterIntegration(){
    this(null);
  }
  public OuterIntegration(JFrame frame) {
    super();
    
    adapter = new SmarterJmolAdapter(null);
    //TODO: CDK Jmol Adapterklasesn integrieren, nicht im CVS von Jmol
    // und auch nicht in openscice! Im Notfall muss das selber gehackt werden!
    //adapter = new CdkJmolAdapter(null);
    
    viewer  = org.jmol.viewer.Viewer.allocateViewer(this, adapter);
    viewer.setJmolStatusListener(this);
    jmolpopup = JmolPopup.newJmolPopup(viewer);
  }
  
 //--->
  public void setStructure(){
    viewer.openFile("JoboProtein.pdb");
    jmolpopup.updateComputedMenus();
  }
  
  /** returns the JmolViewer */
  public JmolViewer getViewer() {
      return viewer;
  }
  
  /** paint Jmol */
  public void paint(Graphics g) {
      getSize(currentSize);
      g.getClipBounds(rectClip);
      viewer.renderScreenImage(g, currentSize, rectClip);
      
  }
  
  /** reset the Jmol display */
  public void reset() {
      viewer.homePosition();
      
  }

  
  public void notifyFileNotLoaded(String fullPathName, String errorMsg){}
  
  
  public void handlePopupMenu(int x, int y){
      //logger.finest("handlePopupMenu");
      //viewer.popupMenu(e.getX(),e.getY());
      jmolpopup.show(x,y);
      
      
      
  }
  
//--->
  public void notifyFileLoaded(String fullPathName, String fileName,
      String modelName, Object clientFile, String errorMessage) {
    // TODO

  }

  public void setStatusMessage(String statusMessage) {
    // TODO

  }

  public void scriptEcho(String strEcho) {
    // TODO

  }

  public void scriptStatus(String strStatus) {
    // TODO

  }

  public void notifyScriptTermination(String statusMessage, int msWalltime) {
    // TODO

  }


  public void notifyMeasurementsChanged() {
    // TODO

  }

  public void notifyFrameChanged(int frameNo) {
    // TODO

  }

  public void notifyAtomPicked(int atomIndex, String strInfo) {
    // TODO

  }

  public void showUrl(String url) {
    // TODO

  }
  public void showConsole(boolean showConsole) {
    // TODO
    
  }


}
