 /**
 * CVS-informations
 * 
 * $Author: bsommer $
 * $Date: 2006/07/07 08:52:44 $
 * $Revision: 1.5 $
 * 
 */
package save;

import java.io.File;
import java.io.FileWriter;
import java.io.IOException;

import javax.swing.JFileChooser;


/**
 * By using this class the user is able to save 
 * a given content into a file.
 * 
 */
public class SaveFile {

	
	/** 
	 * By initialising the constructor 
	 * a given content will be written
	 * into a file.
	 * 
	 * @param content String
	 */
	public SaveFile(String content){
			try {
			
				JFileChooser filechooser = new JFileChooser();
				filechooser.showSaveDialog(null);
				File fi = filechooser.getSelectedFile();
				
				if (fi != null) {
	
					FileWriter out = new FileWriter(fi+".pdb");
					out.write(content);
					out.close();
				}
			} catch (IOException efd) {
			}
		}	
}
