 /**
 * CVS-informations
 * 
 * $Author: jan $
 * $Date: 2006/05/24 10:24:40 $
 * $Revision: 1.5 $
 * 
 */
package gui;

import java.awt.Color;
import java.awt.FlowLayout;
import java.awt.Graphics;
import java.awt.Image;
import java.awt.image.ImageObserver;
import java.util.Vector;

import javax.swing.ImageIcon;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.event.ChangeEvent;
import javax.swing.event.ChangeListener;

/**
 * This is an old class, and should not longer be used!!!
 * You can use this class to create a JPanel and paint a differen amount of given images on it!
 * ! Not longer used in membrane editor, on next release this class will be deleted !
 */
public class PreviewLipidDrawer extends JPanel{
	
	Image image;
	Image scaledInstance;
	ImageIcon iconLipid;
	Vector labelList;
	int quantity;
	
	/**
	 * Constructor
	 * 
	 * @param width - the new width of the used image
	 * @param height -  the new height of the used image
	 * @param quantity - how often the image is painted on this jpanel
	 * @param image - the image which will be used
	 */
	public PreviewLipidDrawer(int width, int height, int quantity, Image image){
		
		this.image = image;
		this.quantity = quantity;
		this.setBackground(Color.WHITE);
		this.setLayout(new FlowLayout(FlowLayout.CENTER,0,0));
		initMultipleLipidImage(width, height, quantity, image);
		drawLipidImages();
	}
	
	/**
	 * 
	 * Inizalisation of lipid images, which should be drawn. The image is
	 * scaled to width and height, then it will be painted with the given
	 * quantity. Every new images is placed straight right to its left
	 * neighboor.
	 * 
	 * @param width scales the given image to this width
	 * @param height scales the given image to this height
	 * @param quantity how often the given image should be painted
	 * @param image the image to use
	 */
	public void initMultipleLipidImage(int width, int height, int quantity, Image image){
		

		scaledInstance = image.getScaledInstance(width, height, Image.SCALE_SMOOTH);
		iconLipid = new ImageIcon(scaledInstance);
		labelList = new Vector(0);
		
		for (int i = 0; i < quantity; i++) {
			labelList.add(new JLabel(iconLipid));
		}
		
	}
	
	/**
	 * Resizes all the inizalisated images to the given scale.
	 * 
	 * @param width new width
	 * @param height new height
	 */
	public void resizeMultipleLipidImage(int width, int height){
		this.removeAll();
		labelList.removeAllElements();
		scaledInstance = image.getScaledInstance(width, height, Image.SCALE_SMOOTH);
		iconLipid = new ImageIcon(scaledInstance);
		
		for (int i = 0; i < quantity; i++) {
			labelList.add(new JLabel(iconLipid));
		}
	}
	
	/**
	 * Sets the new quantity of drawn lipid images
	 * 
	 * @param quantity
	 */
	public void setMultipleLipidImageQuantitiy(int quantity){
		if(quantity > this.quantity){
			int diff = quantity - this.quantity;
			for (int i = 0; i < diff; i++) {
				labelList.add(new JLabel(iconLipid));
			}
		}
		System.out.println(labelList.size());
		if(quantity < this.quantity){
			int diff = this.quantity - quantity;
			for (int i = diff; i > 0; i--) {
				labelList.remove(i);
			}
		}
		
		this.quantity = quantity;
	}
	
	
	/**
	 * Draws the actual lipid images, which are located at the
	 * labellist
	 * 
	 */
	public void drawLipidImages(){
		//this.removeAll();
		for (int i = 0; i < labelList.size(); i++) {
			this.add((JLabel)labelList.get(i));
		}
		
	}
	
	
	
}
