package gui;

import java.io.File;

import javax.swing.filechooser.FileFilter;

class XMLFileFilter extends javax.swing.filechooser.FileFilter {
	/**
	 * Checks the file for correct ending.
	 * @param f file to check 
	 * @return boolean (true if f is directory or ends with xml)
	 */
    public boolean accept(File f) {
        return f.isDirectory() || f.getName().toLowerCase().endsWith(".xml");
    }
    /**
     * Returns the description of the file.
     * @return String 
     */
    public String getDescription() {
        return "Extensible Markup Language(.xml)";
    }
}
